firefox 3.5.2 hangs playing youtube video

Asked by New2Ubuntu on 2009-10-08

can anyone help me here. i'm running firefox 3.5.2 on jaunty 9.04 and I cant play youtube videos. the videos have no sound and after 20 seconds (in general) the screen goes grey and hangs. i then have to end the firefox process in system monitor. i still cant play the youtube video though when it restarts??

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu firefox-3.5 Edit question
Assignee:
No assignee Edit question
Solved by:
actionparsnip
Solved:
2009-10-14
Last query:
2009-10-14
Last reply:
2009-10-13

can you provide the output of:

dpkg -l | grep flash; dpkg -l | grep gnash; dpkg -l | grep swf; uname -a

Thanks

New2Ubuntu (homegrownchillies) said : #2

hi there not sure what this output is? are these separate command lines I need to provide the output for?

Henrique P. Machado (zehrique) said : #3

Hi, New2Ubuntu

Open the GNOME Terminal, and at its prompt, that generaly is a '$' type exactly as follows:

dpkg -l | grep flash; dpkg -l | grep gnash; dpkg -l | grep swf; uname -a

Copy the output of these commands selecting them with your mouse and paste here.

You can copy and paste o the terminal. reducing the need to type and reducing errors.

New2Ubuntu (homegrownchillies) said : #5

hi there, pls find attached the output

dpkg -l | grep flash; dpkg -l | grep gnash; dpkg -l | grep swf; uname -a

ii flashplugin-installer 10.0.32.18ubuntu0.9.04.1 Adobe Flash Player plugin installer
Linux ubuntu 2.6.28-15-generic #52-Ubuntu SMP Wed Sep 9 10:49:34 UTC 2009 i686 GNU/Linux

hope this helps

yeah thats great, ok run this:

sudo apt-get clean; sudo apt-get --purge remove flashplugin-installer; sudo apt-get update; sudo apt-get install flashplugin-nonfree

Done
=D

New2Ubuntu (homegrownchillies) said : #7

hello. great! that worked. many thanks for your help.

If you have more than one flash plugin installed they conflict and you get nothing.

Glad its righted.

New2Ubuntu (homegrownchillies) said : #9

hi. just to let you know I ran update manager last night and now I have the same problem as before with youtuve videos crashing out firefox. it seems the update rolled back to some other version of flash?? i will remove and install again as per your previous instructions. a bit frustrating that I need to do this after a genuine update?

Capt Pandit (captpandit) said : #10

capt@capt-Vostro-220s-Series:~$ dpkg -l | grep flash; dpkg -l | grep gnash; dpkg -l | grep swf; uname -a
ii flashplugin-installer 11.2.202.559ubuntu0.14.04.1 i386 Adobe Flash Player plugin installer
Linux capt-Vostro-220s-Series 3.16.0-59-generic #79~14.04.1-Ubuntu SMP Mon Jan 18 15:39:06 UTC 2016 i686 i686 i686 GNU/Linux
capt@capt-Vostro-220s-Series:~$ sudo apt-get clean; sudo apt-get --purge remove flashplugin-installer; sudo apt-get update; sudo apt-get install flashplugin-nonfree
[sudo] password for capt:
Sorry, try again.
[sudo] password for capt:
Sorry, try again.
[sudo] password for capt:
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  account-plugin-windows-live libupstart1 linux-headers-3.16.0-30
  linux-headers-3.16.0-30-generic linux-image-3.16.0-30-generic
  linux-image-extra-3.16.0-30-generic
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  flashplugin-installer*
0 upgraded, 0 newly installed, 1 to remove and 16 not upgraded.
After this operation, 140 kB disk space will be freed.
Do you want to continue? [Y/n] y
(Reading database ... 464244 files and directories currently installed.)
Removing flashplugin-installer (11.2.202.559ubuntu0.14.04.1) ...
Purging configuration files for flashplugin-installer (11.2.202.559ubuntu0.14.04.1) ...
Processing triggers for update-notifier-common (0.154.1ubuntu1) ...
Hit http://security.ubuntu.com trusty-security InRelease
Ign http://extras.ubuntu.com trusty InRelease
Ign http://in.archive.ubuntu.com trusty InRelease
Hit http://security.ubuntu.com trusty-security/main Sources
Hit http://extras.ubuntu.com trusty Release.gpg
Get:1 http://in.archive.ubuntu.com trusty-updates InRelease [64.4 kB]
Hit http://security.ubuntu.com trusty-security/restricted Sources
Hit http://extras.ubuntu.com trusty Release
Hit http://security.ubuntu.com trusty-security/universe Sources
Hit http://extras.ubuntu.com trusty/main Sources
Hit http://security.ubuntu.com trusty-security/multiverse Sources
Hit http://extras.ubuntu.com trusty/main i386 Packages
Hit http://security.ubuntu.com trusty-security/main i386 Packages
Hit http://in.archive.ubuntu.com trusty-backports InRelease
Hit http://security.ubuntu.com trusty-security/restricted i386 Packages
Hit http://in.archive.ubuntu.com trusty Release.gpg
Hit http://security.ubuntu.com trusty-security/universe i386 Packages
Get:2 http://in.archive.ubuntu.com trusty-updates/main Sources [248 kB]
Hit http://security.ubuntu.com trusty-security/multiverse i386 Packages
Hit http://security.ubuntu.com trusty-security/main Translation-en
Hit http://security.ubuntu.com trusty-security/multiverse Translation-en
Hit http://security.ubuntu.com trusty-security/restricted Translation-en
Hit http://security.ubuntu.com trusty-security/universe Translation-en
Get:3 http://in.archive.ubuntu.com trusty-updates/restricted Sources [5,359 B]
Get:4 http://in.archive.ubuntu.com trusty-updates/universe Sources [147 kB]
Ign http://extras.ubuntu.com trusty/main Translation-en_IN
Ign http://extras.ubuntu.com trusty/main Translation-en
Get:5 http://in.archive.ubuntu.com trusty-updates/multiverse Sources [5,161 B]
Get:6 http://in.archive.ubuntu.com trusty-updates/main i386 Packages [663 kB]
Get:7 http://in.archive.ubuntu.com trusty-updates/restricted i386 Packages [15.6 kB]
Get:8 http://in.archive.ubuntu.com trusty-updates/universe i386 Packages [335 kB]
Get:9 http://in.archive.ubuntu.com trusty-updates/multiverse i386 Packages [13.1 kB]
Hit http://in.archive.ubuntu.com trusty-updates/main Translation-en
Hit http://in.archive.ubuntu.com trusty-updates/multiverse Translation-en
Hit http://in.archive.ubuntu.com trusty-updates/restricted Translation-en
Hit http://in.archive.ubuntu.com trusty-updates/universe Translation-en
Hit http://in.archive.ubuntu.com trusty-backports/main Sources
Hit http://in.archive.ubuntu.com trusty-backports/restricted Sources
Hit http://in.archive.ubuntu.com trusty-backports/universe Sources
Hit http://in.archive.ubuntu.com trusty-backports/multiverse Sources
Hit http://in.archive.ubuntu.com trusty-backports/main i386 Packages
Hit http://in.archive.ubuntu.com trusty-backports/restricted i386 Packages
Hit http://in.archive.ubuntu.com trusty-backports/universe i386 Packages
Hit http://in.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Hit http://in.archive.ubuntu.com trusty-backports/main Translation-en
Hit http://in.archive.ubuntu.com trusty-backports/multiverse Translation-en
Hit http://in.archive.ubuntu.com trusty-backports/restricted Translation-en
Hit http://in.archive.ubuntu.com trusty-backports/universe Translation-en
Hit http://in.archive.ubuntu.com trusty Release
Hit http://in.archive.ubuntu.com trusty/main Sources
Hit http://in.archive.ubuntu.com trusty/restricted Sources
Hit http://in.archive.ubuntu.com trusty/universe Sources
Hit http://in.archive.ubuntu.com trusty/multiverse Sources
Hit http://in.archive.ubuntu.com trusty/main i386 Packages
Hit http://in.archive.ubuntu.com trusty/restricted i386 Packages
Hit http://in.archive.ubuntu.com trusty/universe i386 Packages
Hit http://in.archive.ubuntu.com trusty/multiverse i386 Packages
Hit http://in.archive.ubuntu.com trusty/main Translation-en
Hit http://in.archive.ubuntu.com trusty/multiverse Translation-en
Hit http://in.archive.ubuntu.com trusty/restricted Translation-en
Hit http://in.archive.ubuntu.com trusty/universe Translation-en
Ign http://in.archive.ubuntu.com trusty/main Translation-en_IN
Ign http://in.archive.ubuntu.com trusty/multiverse Translation-en_IN
Ign http://in.archive.ubuntu.com trusty/restricted Translation-en_IN
Ign http://in.archive.ubuntu.com trusty/universe Translation-en_IN
Fetched 1,497 kB in 47s (31.3 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree'
The following packages were automatically installed and are no longer required:
  account-plugin-windows-live libupstart1 linux-headers-3.16.0-30
  linux-headers-3.16.0-30-generic linux-image-3.16.0-30-generic
  linux-image-extra-3.16.0-30-generic
Use 'apt-get autoremove' to remove them.
Suggested packages:
  x-ttcidfont-conf ttf-bitstream-vera ttf-dejavu ttf-xfree86-nonfree xfs
The following NEW packages will be installed:
  flashplugin-installer
0 upgraded, 1 newly installed, 0 to remove and 16 not upgraded.
Need to get 6,836 B of archives.
After this operation, 140 kB of additional disk space will be used.

Mr Andrew, after entering command advised by you above, dated 13.10.2009. The following was the output!
Is it Done, Please

Get:1 http://in.archive.ubuntu.com/ubuntu/ trusty-updates/multiverse flashplugin-installer i386 11.2.202.559ubuntu0.14.04.1 [6,836 B]
Fetched 6,836 B in 0s (7,341 B/s)
Preconfiguring packages ...
Selecting previously unselected package flashplugin-installer.
(Reading database ... 464225 files and directories currently installed.)
Preparing to unpack .../flashplugin-installer_11.2.202.559ubuntu0.14.04.1_i386.deb ...
Unpacking flashplugin-installer (11.2.202.559ubuntu0.14.04.1) ...
Processing triggers for update-notifier-common (0.154.1ubuntu1) ...
flashplugin-installer: downloading http://archive.canonical.com/pool/partner/a/adobe-flashplugin/adobe-flashplugin_20151228.1.orig.tar.gz
Installing from local file /tmp/tmpBuU00g.gz
Flash Plugin installed.
Setting up flashplugin-installer (11.2.202.559ubuntu0.14.04.1) ...
capt@capt-Vostro-220s-Series:~$